Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/social-post-ideas/generate-series-post

Generate series post

Generates a single post for a content series at the given slot index.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
seriesIdstringrequired
slotIndexintegerrequired
socialProfileIdstringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/generate-series-post' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "socialProfileId": "6f1c2a90-...",
  "seriesId": "3a1f...",
  "slotIndex": 0
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "generateSeriesPost": {
      "success": true,
      "idea": {},
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.generateSeriesPostobjectoptional
data.generateSeriesPost.successbooleanoptional
data.generateSeriesPost.ideaobjectoptionalThe updated post idea (see Post idea for the full shape).
data.generateSeriesPost.errorobjectoptional
data.generateSeriesPost.error.messagestringoptional
data.generateSeriesPost.error.codestringoptional
data.generateSeriesPost.error.contextInfoarray of objectoptional
data.generateSeriesPost.error.contextInfo[].keystringoptional
data.generateSeriesPost.error.contextInfo[].valuestringoptional